The ConstructionMetadataResponse returns network-specific metadata used for transaction construction. Optionally, the implementer can return the suggested fee associated with the transaction being constructed. The caller may use this info to adjust the intent of the transaction or to create a transaction with a different account that can pay the suggested fee. Suggested fee is an array in case fee payment must occur in multiple currencies.

export
interface

  RosettaConstructionMetadataResponse

### Hierarchy

- RosettaConstructionMetadataResponse

## Index

### Properties

- metadata
- suggested_fee

## Properties

### metadata

metadata: RosettaConstructionMetadataResponseMetadata

- Defined in src/generated/models/RosettaConstructionMetadataResponse.ts:38

memberof

  RosettaConstructionMetadataResponse

### Optional suggested_fee

suggested_fee: RosettaAmount []

- Defined in src/generated/models/RosettaConstructionMetadataResponse.ts:44

memberof

  RosettaConstructionMetadataResponse

Generated using TypeDoc